roasOS
API referenceJobs

Get a job

Read one job. When the job is completed the envelope carries its result; when it failed it carries the error.

GET
/v1/jobs/{id}

Read one job. When the job is completed the envelope carries its result; when it failed it carries the error.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "image",    "model": "string",    "status": "queued",    "credits_reserved": 0,    "created_at": "string",    "completed_at": "string",    "error": {      "code": "string",      "message": "string"    },    "result": null,    "webhook": {      "status": "delivered",      "attempts": 0,      "last_status": "string",      "delivered_at": "string",      "failed_at": "string"    },    "inputs": {      "endpoint": "string",      "request": {        "property1": null,        "property2": null      }    },    "links": {      "self": "string",      "status": "string",      "result": "string",      "events": "string"    }  }}